unit uMainForm;

interface

uses
  Classes, Forms, Dialogs, StdCtrls, Controls, gsParser;

type
  TMainForm = class(TForm)
    mSource: TMemo;
    mParsed: TMemo;
    btnParse: TButton;
    btnClose: TButton;
    btnInfo: TButton;
    Parser1: TgsParser;
    procedure btnCloseClick(Sender: TObject);
    procedure btnInfoClick(Sender: TObject);
    procedure btnParseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.btnInfoClick(Sender: TObject);
begin
  ShowMessage('This is a sample for TgsParser component from GSPackage Delphi5'+
              ' components package. This sample has 3 predefined variables to'+
              ' test: varTest1, varTest2, varTest3. Try to make script with'+
              ' this variables and press "Parse !" button... Enjoy!');
end;

procedure TMainForm.btnParseClick(Sender: TObject);
begin
  with Parser1 do
  begin
    SourceText := mSource.Lines;
    DefineVariable('varTest1','Test variable 1');
    DefineVariable('varTest2','Test_variable_2');
    DefineVariable('varTest3','|Test|variable|3|');
    if Parse then
    begin
      mParsed.Lines := Parser1.ParsedText;
    end else
    begin
      mParsed.Clear;
      showmessage('Failed !');
    end;
  end;
end;

end.
